#define F_CPU 11059200UL    // Clock Speed
#define BAUD 9600
#define MYUBRR F_CPU/16/BAUD-1

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include "uart.h"
#include "hcsr04.h"

int main(void) {
  uint32_t d;
  char str[20];
  USARTInit(MYUBRR);
  while (1) {
    d = getDistance();
    sprintf(str, "Distance: %dmm", d);
    USARTTransmitStringLn(str);
    _delay_ms(1000);
  }
}

